Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.util.benchmark
Class RandomTrainingFactory

    java.lang.Object
      org.encog.util.benchmark.RandomTrainingFactory

    public final class RandomTrainingFactory

extends Object

Class used to generate random training sets. This will always generate the same number outputs, as it always uses the same seed values. This allows for the consistent results needed by the benchmark.

Method Summary
`static BasicMLDataSet` | `generate(long seed, int count, int inputCount, int idealCount, double min, double max)` Generate a random training set.
`static void` | `generate(MLDataSet training, long seed, int count, double min, double max)` Generate random training into a training set.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### generate

    public static BasicMLDataSet generate(long seed,
                                          int count,
                                          int inputCount,
                                          int idealCount,
                                          double min,
                                          double max)

  Generate a random training set.

  Parameters:
    `seed` - The seed value to use, the same seed value will always produce the same results.
    `count` - How many training items to generate.
    `inputCount` - How many input numbers.
    `idealCount` - How many ideal numbers.
    `min` - The minimum random number.
    `max` - The maximum random number.
  Returns:
    The random training set.

### generate

    public static void generate(MLDataSet training,
                                long seed,
                                int count,
                                double min,
                                double max)

  Generate random training into a training set.

  Parameters:
    `training` - The training set to generate into.
    `seed` - The seed to use.
    `count` - How much data to generate.
    `min` - The low random value.
    `max` - The high random value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.